RDKit: ForceFields::MMFF::AngleConstraintContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ForceFields::MMFF::AngleConstraintContrib Class Reference

An angle range constraint modelled after a AngleBendContrib. More...

`#include <AngleConstraint.h>`

Inheritance diagram for ForceFields::MMFF::AngleConstraintContrib:

## Public Member Functions
| AngleConstraintContrib ()
| AngleConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, double minAngleDeg, double maxAngleDeg, double forceConst)
| Constructor. More...
| AngleConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, bool relative, double minAngleDeg, double maxAngleDeg, double forceConst)
| ~AngleConstraintContrib ()
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual AngleConstraintContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

An angle range constraint modelled after a AngleBendContrib.

Definition at line 21 of file MMFF/AngleConstraint.h.

## Constructor & Destructor Documentation

ForceFields::MMFF::AngleConstraintContrib::AngleConstraintContrib | ( |  | ) |
| inline

Definition at line 23 of file MMFF/AngleConstraint.h.

Referenced by copy().

ForceFields::MMFF::AngleConstraintContrib::AngleConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | double | minAngleDeg,
|  | double | maxAngleDeg,
|  | double | forceConst
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  minAngle | minimum angle
  maxAngle | maximum angle
  forceConst | force Constant

ForceFields::MMFF::AngleConstraintContrib::AngleConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | bool | relative,
|  | double | minAngleDeg,
|  | double | maxAngleDeg,
|  | double | forceConst
| ) |  |

ForceFields::MMFF::AngleConstraintContrib::~AngleConstraintContrib | ( |  | ) |
| inline

Definition at line 44 of file MMFF/AngleConstraint.h.

References getEnergy(), and getGrad().

## Member Function Documentation

virtual AngleConstraintContrib* ForceFields::MMFF::AngleConstraintContrib::copy | ( |  | ) | const
| inlinevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 49 of file MMFF/AngleConstraint.h.

References AngleConstraintContrib().

double ForceFields::MMFF::AngleConstraintContrib::getEnergy | ( | double * | pos | ) | const
| virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

Referenced by ~AngleConstraintContrib().

void ForceFields::MMFF::AngleConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

Referenced by ~AngleConstraintContrib().

The documentation for this class was generated from the following file:

- MMFF/AngleConstraint.h